DHCPSD(8)

NAME
dhcpsd - a DHCP server

SYNOPSIS
dhcpsd [-df] [-p plugin]

DESCRIPTION
dhcpsd is an implementation of the DHCP server specified in RFC 2131.

dhcpsd relies entirely on plugins for configuration. The man page for each plugin is prefixed with dhcpsd-. If no plugins are specified, then the auto and leasefile plugins are loaded.

Plugins operate on a first one wins scenario, so the order of plugins given is important if you load more than one which does the same job.

Options are :

-d  Enable debug diagnostics.

-f  Run in the foreground. Useful when debugging. Messages will be printed to stderr(4) rather than syslog(3).

-p plugin
    Loads the named plugin. If plugin contains a / character then it is treated as a full path. Otherwise, .so is appended and it is loaded from the plugin directory @PLUGINDIR@. You may use the -p option as many times as you have plugins.

NOTES
dhcpsd requires a Berkeley Packet Filter, or BPF device on BSD based systems and a Linux Socket Filter, or LPF device on Linux based systems for all IPv4 configuration.

SEE ALSO
dhcpsd_auto(8), dhcpsd_leasefile(8), dhcpsd_ethers(8), dhcpsd_addrinfo(8), dhcpsd_lua(8)

AUTHORS
Roy Marples <roy@marples.name>

BUGS
Please report them to https://roy.marples.name/projects/dhcpsd